# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class CloneApisRequest(JDCloudRequest):
    """
    克隆api,复制api到哪个分组，由operationId为getGroupNames的方法，根据传回的regionId确定可选下拉列表,复制api到哪个修订版，由operationId为getRevisionIds的方法，根据传回的apiGroupId确定可选下拉列表
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(CloneApisRequest, self).__init__(
            '/regions/{regionId}/apiGroups/{apiGroupId}/revision/{revision}/apis:clone', 'POST', header, version)
        self.parameters = parameters


class CloneApisParameters(object):

    def __init__(self, regionId, apiGroupId, revision, ):
        """
        :param regionId: 地域ID
        :param apiGroupId: 分组ID
        :param revision: 版本号
        """

        self.regionId = regionId
        self.apiGroupId = apiGroupId
        self.revision = revision
        self.apiSource = None

    def setApiSource(self, apiSource):
        """
        :param apiSource: (Optional) 待复制Api
        """
        self.apiSource = apiSource

