# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class GenerateSdkAndDocumentRequest(JDCloudRequest):
    """
    生成sdk、文档
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(GenerateSdkAndDocumentRequest, self).__init__(
            '/regions/{regionId}/apiGroups/{apiGroupId}/generate', 'POST', header, version)
        self.parameters = parameters


class GenerateSdkAndDocumentParameters(object):

    def __init__(self, regionId, apiGroupId, language):
        """
        :param regionId: 地域ID
        :param apiGroupId: 分组ID
        :param language: 语言，英文逗号分隔
        """

        self.regionId = regionId
        self.apiGroupId = apiGroupId
        self.revision = None
        self.environment = None
        self.language = language

    def setRevision(self, revision):
        """
        :param revision: (Optional) 修订版本号
        """
        self.revision = revision

    def setEnvironment(self, environment):
        """
        :param environment: (Optional) 环境
        """
        self.environment = environment

